use super::Attribute;


default_derive!{
    pub struct AttributeList {
        attrs: Vec<Attribute>
    }
}

impl From<Vec<Attribute>> for AttributeList {
    fn from(value: Vec<Attribute>) -> Self {
        AttributeList { attrs: value }
    }
}

impl Into<Vec<Attribute>> for AttributeList {
    fn into(self) -> Vec<Attribute> {
        self.attrs
    }
}

#[test]
fn valid1() {
    todo!()
}