macro_rules! default_derive {
    ($i:item) => {
        use serde::{Serialize, Deserialize};
        #[derive(Serialize, Deserialize, PartialEq, Debug)]
        $i
    };
}

mod schemas;

pub use schemas::*;